Subject: Re: [PATCH 1/3] Add a new member name to structure irq_host

From: Segher Boessenkool <[email-masked]>
Date: Wed, 1 Aug 2007 00:13:19 +0200

>>> Which makes me think (again) that we should have an optional
>>> device_node
>>> pointer in irq_host. I know you said you wanted the irq stuff to be 
>>> OF
>>> agnostic, but the reality is most of the implementations do have an 
>>> OF
>>> node. And all of the newer irq_host implementations do, with the
>>> exception of PS3 and celleb - which are special.
>>
>> How do you suggest to get a reasonable display name out of
>> the device tree?  The recommended human-readable name for
>> interrupt controller nodes is "interrupt-controller"...
>> You cannot use "device_type" either, and using "compatible"
>> requires selecting one of its string entries, and likely
>> using a lookup table after that, too.
>
> In that case, I would display the node full path.

Those tend to be quite long, in the cases where there are
multiple interrupt controllers in the system; and really
useless otherwise.  I think the interrupt controllers should
still just fill in the names "manually".

It's a good thing to have an of_node in the irq_host struct
anyway, though :-)

Segher